local MAJOR = "LibScriptableDisplayPluginIncomingHeals-1.0" 
local MINOR = 14

local PluginIncomingHeals = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginIncomingHeals then return end
local LibIncomingHeals = LibStub("LibIncomingHeals-4.0", true)
assert(LibIncomingHeals, MAJOR .. " requires LibIncomingHeals-4.0")

-- Populate an environment with this plugin's fields
-- @usage :New(environment) 
-- @parma environment This will be the environment when setfenv is called.
-- @return A new plugin object, aka the environment
function PluginIncomingHeals:New(environment)

	environment.GetIncomingHeals = self.GetIncomingHeals
	
	return environment
end

-- Get the incoming heals for a unit
-- @usage GetIncomingHeals(unit)
-- @param unit A valid unit id
-- @return Incoming heals for the unit
function PluginIncomingHeals.GetIncomingHeals(unit)
	local heals = UnitGetIncomingHeals(unit)
	local healsFromMe = UnitGetIncomingHeals(unit, "player")
	return heals - healsFromMe
end